summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-08-22 08:03:18 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-08-22 08:03:18 (GMT)
commitd02df784ac023ceef4394948111a921c4f860c44 (patch)
tree5f0e672e6c473665272f3d7bd91615d4fae6383e
parent7c50483a24f3972c6de42dbd9b8d7dfdbd9f82c9 (diff)
downloadlinhes_pkgbuild-d02df784ac023ceef4394948111a921c4f860c44.zip
linhes_pkgbuild-d02df784ac023ceef4394948111a921c4f860c44.tar.gz
linhes_pkgbuild-d02df784ac023ceef4394948111a921c4f860c44.tar.bz2
pmount:initial inclusion.
-rw-r--r--abs/extra-testing/pmount/PKGBUILD27
-rw-r--r--abs/extra-testing/pmount/pmount-dbus-close.patch11
2 files changed, 38 insertions, 0 deletions
diff --git a/abs/extra-testing/pmount/PKGBUILD b/abs/extra-testing/pmount/PKGBUILD
new file mode 100644
index 0000000..2270b07
--- /dev/null
+++ b/abs/extra-testing/pmount/PKGBUILD
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD 29588 2009-03-10 06:17:31Z tpowa $
+# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+
+pkgname=pmount
+pkgver=0.9.19
+pkgrel=2
+pkgdesc="mount removable devices as normal user"
+arch=(i686 x86_64)
+license=('GPL2')
+url="http://pmount.alioth.debian.org/"
+backup=('etc/pmount.allow')
+depends=('sysfsutils>=2.0.0-1' 'bash' 'hal>=0.5.11')
+makedepends=('intltool')
+source=(http://alioth.debian.org/frs/download.php/2867/${pkgname}-${pkgver}.tar.gz
+ pmount-dbus-close.patch)
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ # we have a shared connection! patch it to work correct
+ patch -Np1 -i ${srcdir}/pmount-dbus-close.patch || return 1
+ ./configure --prefix=/usr --with-cryptsetup-prog=/usr/sbin/cryptsetup || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums=('2fd9fe103375dbd0c91af2f302250a8c'
+ 'b7ea1afd82ffebf510dc89f74cd39f09')
diff --git a/abs/extra-testing/pmount/pmount-dbus-close.patch b/abs/extra-testing/pmount/pmount-dbus-close.patch
new file mode 100644
index 0000000..06ffa2b
--- /dev/null
+++ b/abs/extra-testing/pmount/pmount-dbus-close.patch
@@ -0,0 +1,11 @@
+diff -ruN pmount-0.9.13/src/pmount-hal.c pmount-0.9.13-new/src/pmount-hal.c
+--- pmount-0.9.13/src/pmount-hal.c 2006-08-15 22:31:02.000000000 +0200
++++ pmount-0.9.13-new/src/pmount-hal.c 2007-02-05 12:01:09.000000000 +0100
+@@ -361,7 +361,6 @@
+ /* shut down hal connection */
+ libhal_ctx_shutdown( hal_ctx, &error );
+ libhal_ctx_free( hal_ctx );
+- dbus_connection_close( dbus_conn );
+ dbus_connection_unref( dbus_conn );
+
+ /* go */